Subject: Can't run Mingw gcc from Cygwin
From: David Starks-Browning <[email-masked]>
To: "Moore, Paul" <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>
Date: Thu, 5 Jul 2001 13:12:10 +0100

On Thursday 5 Jul 01, Moore, Paul writes:
> I'm trying to run the Mingw gcc compiler from within Cygwin. My reason is to
> use Cygwin/bash to run configure, but to build the packages using Mingw, so
> that they have no Cygwin dependency at runtime - yes, I know about
> -mno-cygwin, and that is an option, I guess, but I'd prefer to use the Mingw
> compiler if possible - not least as it builds executables which use MSVCRT
> rather than CRTDLL.
> 
> However, if I add my Mingw binaries directory to the front of PATH, via
>     export PATH=//c/Applications/Mingw/bin:$PATH

FYI --

I know you used the /cygdrive/c/.../... form in a subsequent message,
and is not related to your problem, but just for the record, you
should not use the //c/.../... form any more.  This is deprecated
because of the confusion with share names, and will not work in the
next release of Cygwin.

Regards,
David
(Cygwin FAQ maintainer)

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/